Application: gvSIG desktop - gvSIG bugs #2211
Error al abrir proyecto con capas temporales
01/20/2014 09:56 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Application

Target version: 2.1.0-2219-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2217 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Reportado por Francisco Conde en la lista de usuarios:

Al guardar un proyecto con una archivo temporal, al arrancarlo de nuevo avisa para que intentes buscarlo pero al denegar dicha

accion, el proyecto no sigue cargando el resto de capas y no se puede trabajar con él. Adjunto archivo gvSIG.log

History

#1 - 01/21/2014 08:37 AM - Ignacio Brodin
- Status changed from New to Fixed
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

Con los cambios en la persistencia y esta pequefa modificacion, si no encuentra una capa debe preguntar por ella. Si la seleccionas, la carga y sino

carga el resto y esa la deja con un interrogante rojo. Estos cambios deberian salir en la 2017

gvsig-raster:r2371

#2 - 01/27/2014 01:21 PM - Alvaro Anguix
- File gvSIG.log added
- Status changed from Fixed to New

Creo un proyecto, afiado un shp por un lado, y una tabla csv por otro.
Guardo el proyecto.

Cambio el nombre de la carpeta donde estan el shp y el csv

Abro el proyecto.

Efectivamente me pregunta por la ubicacién de ambos.

Le indico la nueva ruta del shp

Le digo que no quiero buscar el csv.

Me abre el proyecto pero el shp no me lo ha recargado, aparece con el signo de exclamacién.

Le doy a Propiedades del shp y me salta consola de error.

Adjunto log.
#3 - 01/27/2014 01:22 PM - Alvaro Anguix
- Target version changed from 2.1.0-2217-devel to 2.1.0-2218-testing
- gvSIG build changed from 2216 to 2217

#4 - 01/28/2014 04:51 PM - Ignacio Brodin

He probado el caso que indicas y no puedo replicarlo, aunque en realidad tampoco tiene que ver con capas temporales. ¢ La prueba la has hecho en
la 22177 El log tampoco dice gran cosa, lo Unico que indica es que no encuentra el csv pero supongo que es lo que debe hacer. De ser asi, yo me
esperaria a la 2218 que sale con todos mis cambios y si es posible me pasas las capas que utilizas y veo de replicarlo alli.

#5 - 01/28/2014 05:02 PM - Alvaro Anguix

Cierto, realmente no tiene que ver con capas temporales.

Pero si sale una consola de error.

- Tengo el tipico shape de provincias de Andalucia en una carpeta "Carto"
- Creo un proyecto, Vista y lo afiado. Guardo el proyecto.

- Cierro el proyecto.

- Cambio el nombre de la carpeta "Carto" por, por ejemplo "Carto_"

- Abro el proyecto anteriormente guardado.

- Me pregunta si quiero indicarle donde esté la capa. Le digo que no.

- Abre el proyecto, con la Vista y la capa con el signo de exclamacién.

Aparentemente todo bien.

- Voy al TOC, a la capa con el signo de exclamacion, boton derecho >Propiedades del menu contextual.
...y salta la consola de error.

#6 - 01/31/2014 07:52 AM - Alvaro Anguix

- Target version changed from 2.1.0-2218-testing to 2.1.0-2219-testing

#7 - 02/06/2014 12:26 PM - Ignacio Brodin

- Status changed from New to Fixed

- Assignee changed from Ignacio Brodin to Juan Lucas Dominguez

Parece que en esto que indicas ahora esta fallando algo de edicién

https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/g

sig/app/project/documents/view/toc/actions/FLyrVectEditPropertiesTocMenuEntry.java

Lo reasigno a Juan

#8 - 02/06/2014 01:25 PM - Alvaro Anguix
- Status changed from Fixed to New

#9 - 02/06/2014 01:59 PM - Juan Lucas Dominguez
- Status changed from New to Fixed
https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/project/documents/view/toc/actions/FLyrVectEditPropertiesTocMenuEntry.java
https://devel.gvsig.org/svn/gvsig-desktop/trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/project/documents/view/toc/actions/FLyrVectEditPropertiesTocMenuEntry.java

Pongo este ticket a fixed y abro otro con el titulo correcto #2299

#10 - 02/19/2014 09:54 AM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

gvSIG.log.1 512 KB 01/20/2014 Alvaro Anguix
gvSIG-environ.info 15.8 KB 01/20/2014 Alvaro Anguix
gvSIG.log 421 KB 01/27/2014 Alvaro Anguix
